Bug 124595 - smartd fails on scsi only system
smartd fails on scsi only system
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 16:11 EDT by Jason
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 06:33:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smartctl output (515 bytes, text/plain)
2004-06-01 11:52 EDT, Jason
no flags Details
syslog output (861 bytes, text/plain)
2004-06-01 11:52 EDT, Jason
no flags Details

  None (edit)
Description Jason 2004-05-27 16:11:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
I just installed FC2 on a HP Netserver LC2000 with only SCSI drives. 
I have an HP NetRaid card (Megaraid driver) that hides a mirrored pair
of hard drives.  When smartd tries to run I get a fail message. 
Before you ask, yes I changed the smartd.conf to remove the /dev/hda
line and I uncommented the /dev/sda -d scsi line.  Yes my drive is
seen as sda.

This might be a duplicate of bug 121872.

Version-Release number of selected component (if applicable):
kernel-utils-2.4-9.1.131

How reproducible:
Always

Steps to Reproduce:
1. install FC2
2.
3.
    

Actual Results:  I get the smartd error.

Expected Results:  No error and I should be able get information about
the drives.

Additional info:
Comment 1 Jason 2004-05-27 16:18:13 EDT
I forgot the part about the unable to register SCSI device /dev/sda in
the /var/log/messages file.
Comment 2 Bruce Allen 2004-05-28 09:55:14 EDT
Hi Jason,

In what you wrote, the word 'hides' is very relevant.

I'm 99% sure that the problem is that the Megaraid RAID driver does
not allow a user-level application such as smartd or smartctl to talk
directly to the physical disk drives.  Currently the only supported
RAID hardware controller is made by 3ware, because the 3ware driver
DOES allow SMART commands to be passed directly to the disks.

If you have two physical drives, then the only way that smartmontools
might have a chance to talk with them is if there are two
corresponding device entires (eg, /dev/sda and /dev/sdb) which can be
directly accessed.  Is this the case?

It would be helful if you could add a couple of attachments. One for
the output(s) of smartctl -a /dev/sd? and the other for the syslog
messages left behind when smartd tries to start, and fails.

Thanks for checking the other bug reports.  This is not a duplicate of
bug 121872.  There the user had /dev/hda rather than /dev/sda.

Bruce
Comment 3 Jason 2004-06-01 11:52:01 EDT
There are two physical drives, but only one entry, /dev/sda.  I have
attached the output from smartctl and the syslog

Jason
Comment 4 Jason 2004-06-01 11:52:30 EDT
Created attachment 100741 [details]
smartctl output
Comment 5 Jason 2004-06-01 11:52:52 EDT
Created attachment 100742 [details]
syslog output
Comment 6 Bruce Allen 2004-06-01 11:59:43 EDT
Jason, thank you.  These logs confirm that the Megaraid driver does
not give you access to the raw disks -- hence smartctl/smartd can't
talk with them.

Looking for two minutes at the source code megaraid.[hc] it appears
that there is a 'pass-thru' ioctl available.  So if someone (you!)
wanted this badly enough you could add another device type
'-d megaraid' to smartmontools which utilized this passthru ioctl.
But until that's done, smartmontools has no way to talk with the
individual disks.

Cheers,
  Bruce

Comment 7 Jason 2004-06-01 12:05:40 EDT
I wish I had that kind of talent.  I am a network administrator.  If I
ever get some free time I might take a look, but I do not know where
to begin.  Is there some documentation or advice on how to proceed?
Comment 8 Bruce Allen 2004-06-01 12:32:26 EDT
My advice: since you are at Perdue, hire a physics, math or computer
science student who does linux/kernel hacking.  Tell them to download
the smartmontools source and look at escalade_command_interface() in
os_linux.c.  If they can figure out how to access data from the
megaraid controller, they probably need to add between 50 and 150
lines of code to os_linux.c.  If they have a spare system to work on
(no data to damage) they ought to be able to make progress in a day
and have it working in a week.
Comment 9 Jason 2004-08-30 16:49:51 EDT
I am looking for a student to do some coding for this.  What can I 
say things always take 4 times as long to do something for this 
university.  

The question I have is "Why is smartd a part of kernel-utils?"  
Should it not be its own package?

Thanks,

Jason
Comment 10 Bruce Allen 2004-08-31 03:13:23 EDT
Please see:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=108569
I strongly agree with this.  As the smartmontools maintainer, a big
problem for me is that I frequently get support requests for
smartmontools release 5.21, which is badly out of date (more than a
year old).  I really wish Fedora were distributing an up-to-date version.

Bruce
Comment 11 Jason 2004-11-08 14:07:12 EST
Hi Bruce,

I sent an email to you last week at ballen@gravity.phys.uwm.edu.  I
have finally hired a programmer to write the update.  How can we get
ahold of you to work out the details?

Thanks,

Jason
Comment 12 Matthew Miller 2005-04-26 11:44:42 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 13 Jason 2005-04-26 12:03:01 EDT
It still does not work on FC3.  I have been unable to test FC4T2 yet.  I plan on
trying this this week.
Comment 14 Jason 2005-04-26 12:09:10 EDT
I should note that this might be moot since this server uses the older megaraid
driver and not the newer megaraid_mbox driver.
Comment 15 Tomas Mraz 2005-11-16 06:33:41 EST
Support for megaraid must be implemented upstream first.

Note You need to log in before you can comment on or make changes to this bug.